'use strict';
var PresenterComponent = require('caplin/presenter/component/PresenterComponent');
var ExampleClass = require('mycompany/tutorial/grids/ExampleClass');
require('sl4bdummy');

function ExampleBladeApplication() {
	this._templateId = 'mycompany.tutorial.grids.view-template';
	this._element = null;

	this._createPresenterComponents();
}

ExampleBladeApplication.prototype._createPresenterComponents = function() {
	this._presentationModel = new ExampleClass();
	this._presenterComponent = new PresenterComponent(this._templateId, this._presentationModel);
	this._presenterComponent.setFrame(null);
	this._element = this._presenterComponent.getElement();
};

ExampleBladeApplication.prototype.getElement = function() {
	return this._element;
};

ExampleBladeApplication.prototype.getPresentationModel = function() {
	return this._presentationModel;
};

module.exports = ExampleBladeApplication;
